Package dev.plex.punishment

# Class PunishmentManager

java.lang.Object
dev.plex.punishment.PunishmentManager

All Implemented Interfaces:
  `PlexBase`

public class PunishmentManager extends Object implements PlexBase

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static class`
`PunishmentManager.IndefiniteBan`

## Field Summary

Fields
Modifier and Type
Field
Description
`private final List<PunishmentManager.IndefiniteBan>`
`indefiniteBans`

### Fields inherited from interface dev.plex.PlexBase

`plugin`

## Constructor Summary

Constructors
Constructor
Description
`PunishmentManager()`

## Method Summary

Modifier and Type
Method
Description
`private void`
`doPunishment(PlexPlayer player, Punishment punishment)`
`CompletableFuture<List<Punishment>>`
`getActiveBans()`
`CompletableFuture<Boolean>`
`isAsyncBanned(UUID uuid)`
`boolean`
`isBanned(PlexPlayer player)`
`boolean`
`isBanned(UUID uuid)`
`boolean`
`isIndefIPBanned(String ip)`
`boolean`
`isIndefUserBanned(String username)`
`boolean`
`isIndefUUIDBanned(UUID uuid)`
`private boolean`
`isNotEmpty(File file)`
`void`
`issuePunishment(PlexPlayer plexPlayer, Punishment punishment)`
`void`
`mergeIndefiniteBans()`
`void`
`punish(PlexPlayer player, Punishment punishment)`
`void`
`unban(Punishment punishment)`
`CompletableFuture<Void>`
`unban(UUID uuid)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### indefiniteBans

private final List<PunishmentManager.IndefiniteBan> indefiniteBans

## Constructor Details

### PunishmentManager

public PunishmentManager()

## Method Details

### mergeIndefiniteBans

public void mergeIndefiniteBans()

### isIndefUUIDBanned

public boolean isIndefUUIDBanned(UUID uuid)

### isIndefIPBanned

public boolean isIndefIPBanned(String ip)

### isIndefUserBanned

public boolean isIndefUserBanned(String username)

### issuePunishment

public void issuePunishment(PlexPlayer plexPlayer, Punishment punishment)

### isNotEmpty

private boolean isNotEmpty(File file)

### isAsyncBanned

public CompletableFuture<Boolean> isAsyncBanned(UUID uuid)

### isBanned

public boolean isBanned(UUID uuid)

### isBanned

public boolean isBanned(PlexPlayer player)

### getActiveBans

public CompletableFuture<List<Punishment>> getActiveBans()

### unban

public void unban(Punishment punishment)

### unban

public CompletableFuture<Void> unban(UUID uuid)

### doPunishment

private void doPunishment(PlexPlayer player, Punishment punishment)

### punish

public void punish(PlexPlayer player, Punishment punishment)